Digital asset detail
curl --request GET \
--url https://astreus.ai/api/v1/digital-assets/{key} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/digital-assets/{key}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/digital-assets/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/digital-assets/{key}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/digital-assets/{key}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/digital-assets/{key}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/digital-assets/{key}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"asset": {
"key": "H100",
"name": "NVIDIA H100 SXM",
"kind": "chip",
"type": "GPU",
"architecture": "Hopper",
"launch_date": "2022-09-20",
"memory_gb": 80,
"memory_type": "HBM3",
"fp16_tflops": 989.4,
"tdp_w": 700,
"process_nm": 5,
"launch_price_usd": 33600,
"rental_usd_hour": 3.03,
"rental_date": "2026-10-30",
"usd_per_pflop_hour": 3.062462098241358,
"return_1y": null,
"clouds": 11,
"source": "Epoch AI, Machine Learning Hardware (CC-BY 4.0)",
"source_url": "https://www.nvidia.com/en-us/data-center/h100/",
"rates": null
},
"facts": null,
"holder": {
"cik": "0001045810",
"ticker": "NVDA",
"name": "NVIDIA CORP"
},
"parties": [
{
"cik": "0001045810",
"name": "NVIDIA CORP",
"role": "designer",
"share_pct": null,
"via": null,
"how": "developed",
"from": "2022-09-20",
"to": null,
"precision": "day",
"notes": null,
"sources": [
{
"url": "https://www.nvidia.com/en-us/data-center/h100/",
"title": "Epoch AI, Machine Learning Hardware (CC-BY 4.0)"
}
]
}
],
"events": [
{
"date": "2022-09-20",
"precision": "day",
"type": "launched",
"title": "NVIDIA H100 SXM launched",
"description": null,
"from": null,
"to": null,
"sources": [
{
"url": "https://www.nvidia.com/en-us/data-center/h100/"
}
]
}
],
"prices": [],
"price_unit": null
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Geo & Assets
Digital asset detail
One digital asset by stable key, with current and historical holders, lifecycle, specification and available alternative data. The holder must be a published company.
GET
/
api
/
v1
/
digital-assets
/
{key}
Digital asset detail
curl --request GET \
--url https://astreus.ai/api/v1/digital-assets/{key} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/digital-assets/{key}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/digital-assets/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/digital-assets/{key}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/digital-assets/{key}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/digital-assets/{key}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/digital-assets/{key}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"asset": {
"key": "H100",
"name": "NVIDIA H100 SXM",
"kind": "chip",
"type": "GPU",
"architecture": "Hopper",
"launch_date": "2022-09-20",
"memory_gb": 80,
"memory_type": "HBM3",
"fp16_tflops": 989.4,
"tdp_w": 700,
"process_nm": 5,
"launch_price_usd": 33600,
"rental_usd_hour": 3.03,
"rental_date": "2026-10-30",
"usd_per_pflop_hour": 3.062462098241358,
"return_1y": null,
"clouds": 11,
"source": "Epoch AI, Machine Learning Hardware (CC-BY 4.0)",
"source_url": "https://www.nvidia.com/en-us/data-center/h100/",
"rates": null
},
"facts": null,
"holder": {
"cik": "0001045810",
"ticker": "NVDA",
"name": "NVIDIA CORP"
},
"parties": [
{
"cik": "0001045810",
"name": "NVIDIA CORP",
"role": "designer",
"share_pct": null,
"via": null,
"how": "developed",
"from": "2022-09-20",
"to": null,
"precision": "day",
"notes": null,
"sources": [
{
"url": "https://www.nvidia.com/en-us/data-center/h100/",
"title": "Epoch AI, Machine Learning Hardware (CC-BY 4.0)"
}
]
}
],
"events": [
{
"date": "2022-09-20",
"precision": "day",
"type": "launched",
"title": "NVIDIA H100 SXM launched",
"description": null,
"from": null,
"to": null,
"sources": [
{
"url": "https://www.nvidia.com/en-us/data-center/h100/"
}
]
}
],
"prices": [],
"price_unit": null
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Digital asset key returned by the company's asset register.
Response
OK
Inferred from captured responses: every field shown was returned by a real call; a field may be absent or null on other calls.